UMS(4)

NAME
ums - USB HID mouse, touchscreen and digitiser devices

SYNOPSIS
ums* at uhidev?
wsmouse* at ums? mux 0

DESCRIPTION
The ums driver provides support for USB HID mice, touchscreens and digitisers. Access to these devices is through the wscons(4) driver.

If the touchscreen sensor is poorly aligned, then xtsscale(1) should be used to provide calibration results to the ums driver.

SEE ALSO
xtsscale(1), uhidev(4), usb(4), wsmouse(4)

HISTORY
The ums driver first appeared in OpenBSD 2.8.

AUTHORS
-nosplit HID touchscreen and digitiser support was written by Robert Nagy and Matthieu Herrb then later merged into the generic ums driver by Edd Barrett.

CAVEATS
Touchscreen and digitiser pressure sensitivity is not yet implemented.